#include <bits/stdc++.h>

using namespace std;

int main()
{
    double  p,q,r,L,R;
    int n=0;
    scanf("%lf %lf %lf %lf %lf",&p,&q,&r,&L,&R);
    for(int i=L;i<=R;i++)
    {
        if((ceil(i/p)+ ceil(i/q) + ceil(i/r))<=i)2n+=1;
    }
    printf("%d",n);
    return 0;
}